Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTMLEditorKit.LinkController

    java.lang.Object
      |
      +--java.awt.event.MouseAdapter
            |
            +--javax.swing.text.html.HTMLEditorKit.LinkController

public static class HTMLEditorKit.LinkController
extends java.awt.event.MouseAdapter
implements java.io.Serializable

Class to watch the associated component and fire hyperlink events on it when appropriate.

See Also:
  Serialized Form

Constructor Summary
`HTMLEditorKit.LinkController()`

Method Summary
`protected void` | `activateLink(int pos, JEditorPane html)` Calls linkActivated on the associated JEditorPane if the given position represents a link.
`void` | `mouseClicked(java.awt.event.MouseEvent e)` Called for a mouse click event.

Methods inherited from class java.awt.event.MouseAdapter
`mouseEntered, mouseExited, mousePressed, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLEditorKit.LinkController

    public HTMLEditorKit.LinkController()

Method Detail

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Called for a mouse click event. If the component is read-only (ie a browser) then the clicked event is used to drive an attempt to follow the reference specified by a link.
  Parameters:
    `e` - the mouse event
  Overrides:
    mouseClicked in class java.awt.event.MouseAdapter
  See Also:
    `MouseListener.mouseClicked(java.awt.event.MouseEvent)`

### activateLink

    protected void activateLink(int pos,
                                JEditorPane html)

  Calls linkActivated on the associated JEditorPane if the given position represents a link.
  Parameters:
    `pos` - the position
    `html` - the editor pane

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.